Beta

Add Business

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
POST
/v1/businesses

Adds an existing Business to the selected Workspace, or creates a new sourced Business when no match exists, and starts one collaborative version. Requires edit access and returns a receipt.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid
Idempotency-Key*string
Length8 <= length <= 200

Request Body

application/json
  1. body
business_id*SmbV0OperationsGetBusinessComparablesRequestBusinessId

Stable SMB Business ID.

Match^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$
name?string
Length1 <= length <= 500
status?string
Value in"active""temporarily_closed""seasonal""closed""unknown"
source_type?string

Who supplied the facts used to create this Business record.

Default"first_party"
Value in"government""owner""first_party""provider""model""internal_review"
source_name?string
Length1 <= length <= 300
source_uri?string
Formaturi
Lengthlength <= 2000
observed_at?smb_v0_operations_get_business_request.__local.Timestamp
Formatdate-time
rights_basis?SmbV0OperationsGetBusinessRequestRevision
Length1 <= length <= 200
additional_observations?array<>
Items1 <= items <= 100

Response Body

The existing resource or idempotent replay was returned.

application/json
  1. response
business_id*SmbV0OperationsGetBusinessComparablesRequestBusinessId

Stable SMB Business ID.

Match^biz_[0-7][0-9A-HJKMNP-TV-Z]{25}$
workspace_id*smb_v0_operations_get_workspace_request.__local.Uuid
Formatuuid
name?string
Length1 <= length <= 500
status?string
Value in"active""temporarily_closed""seasonal""closed""unknown"
fields?
updated_fields?array<string>
revision?integer
Range1 <= value
based_on_business_revision?integer
Range1 <= value
access_level?string
Value in"view""edit""full_access"
created?smb_v0_operations_create_list_request.__local.properties.body.__schema16
business_created?smb_v0_operations_create_list_request.__local.properties.body.__schema16
idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16
request_id*string
receipt*
additional_observations?array<>
Items1 <= items <= 100
curl -X POST 'https://example.com/v1/businesses' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Idempotency-Key: stringst' \  -H 'Content-Type: application/json' \  -d '{}'
{  "business_id": "string",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",  "name": "string",  "status": "active",  "fields": {},  "updated_fields": [    "string"  ],  "revision": 1,  "based_on_business_revision": 1,  "access_level": "view",  "created": true,  "business_created": true,  "idempotent_replay": true,  "request_id": "string",  "receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "additional_observations": [    {      "observation_id": "d5b663f3-1b87-4f94-9f66-dbd8d5553132",      "name": "string",      "mapping_status": "mapped"    }  ]}